Bug 23437 - When UseAuthoritiesForTracing is 'Use' we should use series authorities
Summary: When UseAuthoritiesForTracing is 'Use' we should use series authorities
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 12:39 UTC by Nick Clemens
Modified: 2019-09-24 18:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23437: Use authorities for tracing series (6.31 KB, patch)
2019-08-07 12:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23437: Use authorities for tracing series (6.36 KB, patch)
2019-08-07 15:04 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23437: Use authorities for tracing series (6.43 KB, patch)
2019-08-18 07:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-08-07 12:39:35 UTC
To recreate:
1 - Set UseAuthoritiesForTracing to use
2 - Find some records with an 800 or 830 series entry
3 - View the record in staff and opac, note the series link does a search for title and author
Comment 1 Nick Clemens 2019-08-07 12:41:10 UTC
Created attachment 92040 [details] [review]
Bug 23437: Use authorities for tracing series

To test:
1 - Set UseAuthoritiesForTracing to use
2 - Find some records with an 800 or 830 series entry
3 - View the record in staff and opac, note the series link does a search for title and author
4 - Apply patch
5 - restart all the things
6 - View the records, note the links now use the authority number
Comment 2 ByWater Sandboxes 2019-08-07 15:04:45 UTC
Created attachment 92049 [details] [review]
Bug 23437: Use authorities for tracing series

To test:
1 - Set UseAuthoritiesForTracing to use
2 - Find some records with an 800 or 830 series entry
3 - View the record in staff and opac, note the series link does a search for title and author
4 - Apply patch
5 - restart all the things
6 - View the records, note the links now use the authority number

Signed-off-by: andrew <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2019-08-07 15:05:44 UTC
Sign off for Ron Houk, RHouk@ottumwapubliclibrary.org
Comment 4 Katrin Fischer 2019-08-18 07:34:41 UTC
Created attachment 92342 [details] [review]
Bug 23437: Use authorities for tracing series

To test:
1 - Set UseAuthoritiesForTracing to use
2 - Find some records with an 800 or 830 series entry
3 - View the record in staff and opac, note the series link does a search for title and author
4 - Apply patch
5 - restart all the things
6 - View the records, note the links now use the authority number

Signed-off by: Ron Houk <RHouk@ottumwapubliclibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-08-18 07:35:08 UTC
I've amended the patch to include the sign-off line for Ron. Thx Ron!
Comment 6 Martin Renvoize 2019-08-19 07:29:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-09-05 14:59:10 UTC
Pushed to 19.05.x for 19.05.04
Comment 8 Lucas Gass 2019-09-24 18:00:46 UTC
backported to 18.11.x for 18.11.10